package pinball.log;

import java.io.*;
import java.util.*;
import java.text.*;
import java.awt.*;

/**
 * Used to find the ball's location in the log file.
 **/
public class BallLocator {

	/** Ball's x location. */
	private int x;
	
	/** Ball's y location. */
	private int y;

	/**
	 *
	 *
	 * @param tokens the line that has the ball's location.
	 *
	 * @return the ball's location.
	 */
	public Point findBallLocation(StringTokenizer tokens) {
		String command;
		
		/* Pick out the ball's location. */
		while(tokens.hasMoreTokens()) {
			command=tokens.nextToken();
			check(command);			
		}

		return new Point(x,y);
	}
		
	/**
	 * Analyzes the ball's information. 
	 * Finds ball's location.
	 *
	 * @param data the line from the log file that has the ball's location.
	 */
	private void check(String data) {
		StringTokenizer tokens;
		String command;
			
		
		tokens = new StringTokenizer(data,"=");
		
		command=tokens.nextToken();
		
		if(command.equals("ballXlocation")) {
			x=new Integer(tokens.nextToken()).intValue();
		}
		else if(command.equals("ballYlocation")) {
			y=new Integer(tokens.nextToken()).intValue();
		} 
	}
}
