package pinball.log;
 
import java.io.*;
import java.util.*;
import java.text.*;

/** 
 * Stores information about the header in the log file. 
 */
public class HeaderInfo {
	/** The information name. */	
	private String info;
	
	/** The value of the information. */
	private String value;
	
	/**
	 * The information found in a line in the header.
	 *
	 * @param i the information of the header.
	 * @param v the value of the information.
	 */
	public HeaderInfo(String i, String v) {
		info=i;
		value=v;
	}
	
	/**
	 * Get the information in the header. 
	 *
	 * @return the header information.
	 */
	public String getInfo() {
		return info;
	}

	/**
	 * Get the value of the information in the header. 
	 *
	 * @return get the value of the header information.
	 */	
	public String getValue() {
		return value;
	}
}
