package pinball.log;

import java.io.*;
import java.util.*;
import java.text.*;

/** 
 * This reads the log file and generates an html file with the statistics. 
 */
public class LogAnalyzer {	
	/** File that data the data. */	
	private BufferedReader input;
	
	/** File that will get the data. */
	private BufferedWriter output;

	/** Name of log file. */
	private String logfilename;
	
	/** Name of report file. */
	private String reportfilename;
	

	/** 
	 * Starts up the log analyzer.
	 * @param args The command line arguments.
	 * first log file
	 * report file, less .html
	 */
	public static void main (String []args) {		
		new LogAnalyzer(args);	
	}
	
	/** 
	 * Starts up the log analyzer.
	 * @param args The command line arguments.
	 * first log file
	 * report file, less .html
	 */
	public LogAnalyzer(String []args) {
		System.err.println("Pinball Project Log Analyzer Starting Up...");
		
		/* Check the arguments. */
		if(args.length!=2) {
			System.err.println("Wrong number of commands.");
			System.err.println("Enter the following command line arguments:\nfirst log file name followed by the report file name to be generated.");
			System.err.println("Example\njava LogAnalyzer 19990210@191026_001_std-d report");
			System.err.println("No need to have the .html as part of the report file name, I'll tack that on.");			
			System.exit(1);
		}

		/* Get the file names. */
		logfilename=args[0];
		reportfilename=args[1]+".html";
		
		/* Generate the log. */
		try{
		new LogReport(logfilename,new LogFile(reportfilename,'w').getWriter(),false);
		}
		catch (IOException e){System.err.println(e);}

	}

}
