package pinball.menuevent;

import pinball.*;
import pinball.buffer.*; 
import pinball.part.*;
import pinball.server.*;
import pinball.player.*;

import java.awt.event.*;
import java.awt.*;

/**
 * Event to pause the system.
 */
public class PinballPause implements ActionListener {
	
	/** Pause the system. */
	private Button pause;
	
	/** 
	 * Set the pause button.
	 *
	 * @param pause the pause button. 
	 */
	public PinballPause(Button pause) {
		this.pause=pause; 
	}
	
    	/**
    	 * Pause button is pressed. System is paused. 
    	 */
    	public void actionPerformed(ActionEvent e) {
		if(!GameOptions.running())
			return;
		if(!GameOptions.pause()) {
			pause.setBackground(Color.red);
			GameOptions.pause(true);
		}
		else if(GameOptions.pause()) {
			pause.setBackground(Color.lightGray);
			GameOptions.pause(false);
		}
	}
}
