package pinball.menuevent;

import pinball.*;
import pinball.buffer.*; 
import pinball.part.*;
import pinball.server.*;
import pinball.player.*;

import java.awt.event.*;
import java.awt.*;

/**
 * Event for when the pinball game is to play the frames.
 */
public class PinballPlay implements ActionListener {
	
	/* The buttons in the window that get their color changed. */
	
	/** Play button. */
	private Button play;
	
	/** Record button. */
	private Button record;
	
	/**
	 * Set up the play and record buttons.
	 *
	 * @param play the play button.
	 * @param record the record button.
	 */
	public PinballPlay(Button play, Button record) {
		this.play=play;
		this.record=record; 
	}
	
	/**
	 * The play button is pressed.	 
	 */
    	public void actionPerformed(ActionEvent e) {
    			/* Toggle the play button off. */
			if(GameOptions.play()) {
				GameOptions.live();
				record.setBackground(Color.lightGray);
				play.setBackground(Color.lightGray);
			}
			/* Toggle the play button on. */
			else {
				GameOptions.play_it();
				play.setBackground(Color.red);
				record.setBackground(Color.lightGray);
			}
    	}
}
