package pinball.player.remote;

import pinball.*;
import pinball.buffer.*; 
import pinball.part.*;
import pinball.server.*;
import pinball.player.*;
import pinball.player.standard.*;

import java.awt.*;
import java.awt.image.*;
import java.io.*;
import java.util.*;
import java.net.*;

/**
 * For when a remote player exits the system. 
 */
public class RemoteExit extends Frame{
	/** Sends the exit command to. */
	private RemoteStub stub;
	
	/** Gets the exit request. */
	private Button exit;
	
	/** 
	 * Sets up the stub to be request to exit. 
	 *
	 * @param stub the stub who shuts down the system.
	 */
	public RemoteExit(RemoteStub stub) {
		this.stub=stub;
		resize(50,50);
		setVisible(true);
		add(exit=new Button("Exit"));
		exit.addActionListener(new RemoteExitEvent(this));
	}
	
	/** Called when the system is to go off line. */
	public void exit() {
		stub.offline();
	}
}
