package pinball.player.remote;

import pinball.*;
import pinball.buffer.*; 
import pinball.part.*;
import pinball.server.*;
import pinball.player.*;
import pinball.player.standard.*;

import java.awt.*;
import java.awt.image.*;
import java.io.*;
import java.util.*;
import java.net.*;


/**
 * The remote player's strategy.
 * This gets the location of the ball, and flips the flippers if
 * the player sends the signal to do so.
 */
public class RemotePlayerStrategy extends Strategy {
	
	/** For extentions. */
	public RemotePlayerStrategy() {
		
	}
	
	/** 
	 * The strategy thread for the player. 
	 *
 	 * @param buffer the first buffer in the series of buffers for the system.
	 * @param gameStats the area to write the game stats to.
	 *
	 */		 	 
	public RemotePlayerStrategy(Buffer buffer,TextArea gameStats) {
		id="RemotePlayer";		
		this.stub=new RemoteStub(buffer,gameStats,this);
		System.err.println("Remote player class");
		new RemoteExit((RemoteStub)stub);		
	}
	
	
	
}
