package pinball.player.tripwire;

import pinball.*;
import pinball.buffer.*; 
import pinball.part.*;
import pinball.server.*;
import pinball.player.*;
import pinball.player.remote.*;


import java.util.*;
import java.io.*;
import java.awt.*;


/** 
 * The strategy thread for the player who sees only a line near the flippers. 
 */
public class TripwireRemoteStrategy extends TripwireStrategy {
	
	/** 
	 * The strategy thread for the player. 
	 *
 	 * @param buffer the first buffer in the series of buffers for the system.
	 * @param gameStats the area to write the game stats to.
	 */	
	public TripwireRemoteStrategy(Buffer buffer,TextArea gameStats) {
		id="twire";
		this.stub=new RemoteStub(buffer,gameStats,this);
		stub.setPriority(Thread.NORM_PRIORITY);
		
		//boarder=4;
		GameOptions.ballMax(15);
		GameOptions.pixelThreshold(10);
		stub.boarder(boarder);
		System.err.println("Strategy: "+id);	
		new RemoteExit((RemoteStub)stub);
	}
	
	
}
