package pinball.server;

import pinball.*;

import java.net.*;
import java.io.*;

/**
 * The server part of the network.
 */
public class MyServer extends Network{

	/* Network socket. */
        private ServerSocket 	sct;      
	
	/** Data port. */  
        private int 		port;
	
	/** Data socket. */
        private Socket 		socket;	
	
	/** Is the system online? */
	private boolean online=false;
	
        

        /**
         * Set up the sockets for the server. 
         */		
	public MyServer() {
		port=GameOptions.networkPort();
		try { sct = new ServerSocket(port);
		} catch (Exception e) {System.err.println(e);}
		
		connection();
	}
	
	/** 
	 * Wait for a connection 
	 */
	public void connection() {
		/* Open the socket. */
		try {
			System.err.println("Waiting for connection.");
			Socket socket = sct.accept();

			//socket.setSoTimeout(1000);

 			in = new BufferedReader (
			     new InputStreamReader(socket.getInputStream()));
		        out = new PrintWriter (
			     socket.getOutputStream(),false);			
		} catch (Exception e) {System.err.println(e);System.exit(1);}
		
		online=true;
		System.err.println("Server is online.");
	}	
	 
	/**
         * Setup the client with pre-exisiting streams.
         */
	public MyServer(BufferedReader 	in, PrintWriter out) {
		this.in=in;
		this.out=out;
	}	
	
	/**
	 * Set server offline. 
	 */	
	public void offline() {
	 	online=false;
	}
	
	/**
	 * Is the server online. 
	 * @return Online status.
	 */ 
	public boolean isOnline() {
		return online;
	}
		
}
